class AuthProxy
  class Proxy
    def initialize(options={})
      @app = Rack::ReverseProxy.new do
        reverse_proxy_options preserve_host: true

        options.each do |path, host|
          reverse_proxy path, host, replace_response_host: true
        end
      end
    end

    def call(env)
      @app.call(env)
    end
  end
end
