class AuthProxy
  module Validator
    def rack_request
      Rack::Request.new(env)
    end

    def valid_cookie?
      rack_request.cookies['secret'] == secret_cookie
    end

    def valid_callback?
      env.fetch('omniauth.auth', {})['uid'] == '666397'
    end

    def authenticated?
      valid_callback? || valid_cookie?
    end
  end
end
